_BindingIteratorImplBase (Java 2 Platform SE v1.4.1_"07")

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CosNaming
Class _BindingIteratorImplBase

    java.lang.Object
      |
      +--org.omg.CORBA.portable.ObjectImpl
            |
            +--org.omg.CORBA.DynamicImplementation
                  |
                  +--org.omg.CosNaming._BindingIteratorImplBase

All Implemented Interfaces:
  BindingIterator, BindingIteratorOperations, IDLEntity, Object, Serializable

public abstract class _BindingIteratorImplBase
extends DynamicImplementation
implements BindingIterator

Constructor Summary
`_BindingIteratorImplBase()`

Method Summary
`String[]` | `_ids()` Retrieves a string array containing the repository identifiers supported by this `ObjectImpl` object.
`void` | `invoke(ServerRequest r)`

Methods inherited from class org.omg.CORBA.portable.ObjectImpl
`_create_request, _create_request, _duplicate, _get_delegate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _invoke, _is_a, _is_equivalent, _is_local, _non_existent, _orb, _release, _releaseReply, _request, _request, _servant_postinvoke, _servant_preinvoke, _set_delegate, _set_policy_override, equals, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.omg.CosNaming.BindingIteratorOperations
`destroy, next_n, next_one`

Methods inherited from interface org.omg.CORBA.Object
`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`

Constructor Detail

### _BindingIteratorImplBase

    public _BindingIteratorImplBase()

Method Detail

### _ids

    public String[] _ids()

  Description copied from class: `ObjectImpl`
  Retrieves a string array containing the repository identifiers supported by this `ObjectImpl` object. For example, for a stub, this method returns information about all the interfaces supported by the stub.

  Overrides:
    `_ids` in class `DynamicImplementation`
  Returns:
    the array of all repository identifiers supported by this `ObjectImpl` instance

### invoke

    public void invoke(ServerRequest r)

  Overrides:
    `invoke` in class `DynamicImplementation`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2002 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.